Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Find Ashadha Festivals

Immerse yourself in the spirit of Ashadha with the “Ashadha Festivals” API, unveiling the astrological and cultural charm of festivals that grace the Indian calendar within the Panchang context.


Step-by-Step Postman Integration

https://support.divineapi.com/indian-astrology-apis/testing-festival-api-find-ashadha-festivals-api-using-postman


API Endpoint

POST https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals

Returns all festival details from Ashadha in the response.


Headers

NameTypeDescription
Authorization *StringYour API Access Token e.g., Bearer {token}

Request Body

NameTypeDescription
api_key *StringYour API key
year *IntegerYear, e.g., 2023
placeStringPlace, e.g., New Delhi
lat *FloatLatitude, e.g., 28.6139
lon *FloatLongitude, e.g., 77.2090
tzone *FloatTimezone, e.g., 5.5 — see: Timezone List

Example Response — 200 OK

{
    "success": 1,
    "data": {
        "year": "2023",
        "yogini_ekadashi": {
            "smartas": {
                "date": "2023-06-14",
                "parana": {
                    "start_time": "2023-06-15 05:23:19",
                    "end_time": "2023-06-15 08:11:19"
                },
                "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Yogini%20Ekadashi.png"
            },
            "vaishnavas": {
                "date": "2023-06-14",
                "parana": {
                    "start_time": "2023-06-15 05:23:19",
                    "end_time": "2023-06-15 08:11:19"
                },
                "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Yogini%20Ekadashi.png"
            }
        },
        "jagannath_rathyatra": {
            "date": "2023-06-20",
            "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Jagannath%20Rathyatra.png"
        },
        "devshayani_ekadashi": {
            "smartas": {
                "date": "2023-06-29",
                "parana": {
                    "start_time": "2023-06-30 13:49:32",
                    "end_time": "2023-06-30 16:37:32"
                },
                "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Devshayani%20Ekadashi.png"
            },
            "vaishnavas": {
                "date": "2023-06-29",
                "parana": {
                    "start_time": "2023-06-30 13:49:32",
                    "end_time": "2023-06-30 16:37:32"
                },
                "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Devshayani%20Ekadashi.png"
            }
        },
        "guru_purnima": {
            "date": "2023-07-03",
            "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Guru%20Purnima.png"
        },
        "gauri_vrat": {
            "start_time": "2023-06-29",
            "end_time": "2023-07-03",
            "start_image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Gauri Vrat Start.png",
            "end_image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Gauri Vrat End.png"
        },
        "jaya_parvati_vrat": {
            "date": "2023-07-01",
            "puja_muhurat": {
                "start_time": "2023-07-01 19:23:40",
                "end_time": "2023-07-01 21:23:40"
            },
            "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Jaya%20Parvati%20Vrat.png"
        },
        "kokila_vrat": {
            "date": "2023-07-02",
            "parana": {
                "start_time": "2023-07-02 19:23:39",
                "end_time": "2023-07-02 21:23:39"
            },
            "image": "https://astroapi-6.divineapi.com/public/assets/vedic/festivals/images/main/Kokila%20Vrat.png"
        }
    }
}

Code Integration Examples

Below are sample implementations for cURL, NodeJS, JavaScript (jQuery AJAX), and Python.


cURL Example

curl --location 'https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'year="2023"' \
--form 'Place="New Delhi"' \
--form 'lat="28.6139"' \
--form 'lon="77.2090"' \
--form 'tzone="5.5"'

NodeJS Example

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals',
  'headers': {
    'Authorization': 'Bearer {Your Auth Token}'
  },
  formData: {
    'api_key': '{Your API Key}',
    'year': '2023',
    'Place': 'New Delhi',
    'lat': '28.6139',
    'lon': '77.2090',
    'tzone': '5.5'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});


JavaScript (jQuery AJAX) Example

var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("year", "2023");
form.append("Place", "New Delhi");
form.append("lat", "28.6139");
form.append("lon", "77.2090");
form.append("tzone", "5.5");

var settings = {
  "url": "https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {Your Auth Token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python Example

import requests

url = "https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals"

payload = {'api_key': '{Your API Key}',
'year': '2023',
'Place': 'New Delhi',
'lat': '28.6139',
'lon': '77.2090',
'tzone': '5.5'}

headers = {
  'Authorization': 'Bearer {Your Auth Token}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
Example Code
curl -X POST "https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals" \
  -H "Authorization: Bearer {Your Auth Token}" \
  --form 'api_key="{Your API Key}"' \
  --form 'year="2023"' \
  --form 'Place="New Delhi"' \
  --form 'lat="28.6139"' \
  --form 'lon="77.2090"' \
  --form 'tzone="5.5"'
const FormData = require('form-data');
const axios = require('axios');

const form = new FormData();
form.append('api_key', '{Your API Key}');
form.append('year', '2023');
form.append('Place', 'New Delhi');
form.append('lat', '28.6139');
form.append('lon', '77.2090');
form.append('tzone', '5.5');

const response = await axios.post('https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals', form, {
  headers: {
    ...form.getHeaders(),
    'Authorization': 'Bearer {Your Auth Token}',
  }
});

console.log(response.data);
import requests

url = "https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals"
headers = {
    "Authorization": "Bearer {Your Auth Token}",
}
payload = {
    "api_key": "{Your API Key}",
    "year": "2023",
    "Place": "New Delhi",
    "lat": "28.6139",
    "lon": "77.2090",
    "tzone": "5.5",
}

response = requests.post(url, headers=headers, data=payload)

print(response.json())
const formData = new FormData();
formData.append('api_key', '{Your API Key}');
formData.append('year', '2023');
formData.append('Place', 'New Delhi');
formData.append('lat', '28.6139');
formData.append('lon', '77.2090');
formData.append('tzone', '5.5');

const response = await fetch('https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals', {
  method: 'POST',
  headers: {
      'Authorization': "Bearer {Your Auth Token}",
    },
  body: formData,
});

const data = await response.json();
console.log(data);
<?php

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('POST', 'https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals', [
    'headers' => [
        'Authorization' => 'Bearer {Your Auth Token}',
    ],
    'multipart' => [
        ['name' => 'api_key', 'contents' => '{Your API Key}'],
        ['name' => 'year', 'contents' => '2023'],
        ['name' => 'Place', 'contents' => 'New Delhi'],
        ['name' => 'lat', 'contents' => '28.6139'],
        ['name' => 'lon', 'contents' => '77.2090'],
        ['name' => 'tzone', 'contents' => '5.5'],
    ],
]);

echo $response->getBody();
package main

import (
    "bytes"
    "fmt"
    "mime/multipart"
    "net/http"
    "io"
)

func main() {
    body := &bytes.Buffer{}
    writer := multipart.NewWriter(body)
    writer.WriteField("api_key", "{Your API Key}")
    writer.WriteField("year", "2023")
    writer.WriteField("Place", "New Delhi")
    writer.WriteField("lat", "28.6139")
    writer.WriteField("lon", "77.2090")
    writer.WriteField("tzone", "5.5")
    writer.Close()

    req, _ := http.NewRequest("POST", "https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals", body)
    req.Header.Set("Content-Type", writer.FormDataContentType())
    req.Header.Set("Authorization", "Bearer {Your Auth Token}")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body2, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body2))
}
import okhttp3.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        RequestBody body = new MultipartBody.Builder()
            .setType(MultipartBody.FORM)
            .addFormDataPart("api_key", "{Your API Key}")
            .addFormDataPart("year", "2023")
            .addFormDataPart("Place", "New Delhi")
            .addFormDataPart("lat", "28.6139")
            .addFormDataPart("lon", "77.2090")
            .addFormDataPart("tzone", "5.5")
            .build();

        Request request = new Request.Builder()
            .url("https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals")
            .post(body)
            .addHeader("Authorization", "Bearer {Your Auth Token}")
            .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
import Foundation

let url = URL(string: "https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer {Your Auth Token}", forHTTPHeaderField: "Authorization")

let boundary = "Boundary-\(UUID().uuidString)"
request.setValue("multipart/form-data; boundary=\(boundary)", forHTTPHeaderField: "Content-Type")

var bodyData = Data()
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"api_key\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("{Your API Key}\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("2023\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"Place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.6139\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.2090\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)--\r\n".data(using: .utf8)!)
request.httpBody = bodyData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data {
        print(String(data: data, encoding: .utf8) ?? "")
    }
}
task.resume()
import okhttp3.*

fun main() {
    val client = OkHttpClient()

    val body = MultipartBody.Builder()
        .setType(MultipartBody.FORM)
        .addFormDataPart("api_key", "{Your API Key}")
        .addFormDataPart("year", "2023")
        .addFormDataPart("Place", "New Delhi")
        .addFormDataPart("lat", "28.6139")
        .addFormDataPart("lon", "77.2090")
        .addFormDataPart("tzone", "5.5")
        .build()

    val request = Request.Builder()
        .url("https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals")
        .post(body!!)
        .addHeader("Authorization", "Bearer {Your Auth Token}")
        .build()

    client.newCall(request).execute().use { response ->
        println(response.body?.string())
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program {
    static async Task Main() {
        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer {Your Auth Token}");

        var content = new MultipartFormDataContent();
        content.Add(new StringContent("{Your API Key}"), "api_key");
        content.Add(new StringContent("2023"), "year");
        content.Add(new StringContent("New Delhi"), "Place");
        content.Add(new StringContent("28.6139"), "lat");
        content.Add(new StringContent("77.2090"), "lon");
        content.Add(new StringContent("5.5"), "tzone");

        var response = await client.PostAsync("https://astroapi-3.divineapi.com/indian-api/v2/ashada-festivals", content);
        var result = await response.Content.ReadAsStringAsync();
        Console.WriteLine(result);
    }
}